Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Changes between Version 69 and Version 70 of 2.0/changelog


Ignore:
Timestamp:
03/05/09 00:35:36 (10 years ago)
Author:
jorge.vargas
Comment:

small updates

Legend:

Unmodified
Added
Removed
Modified
  • 2.0/changelog

    v69 v70  
    66 
    77 * Now quickstarted applications with auth* enabled have a complete set of tests for protected areas and authentication, using repoze.who-testutil (#2198). 
    8  
    9 === Fixes === 
    10  
    11  * .allow_only was broken in the !RootController 
     8 * Unitesting with SQLAlchemy enable is now possible 
     9 
     10=== Fixes === 
     11 
     12 * .allow_only was broken in the !RootController (#2254) 
    1213 * Controller Wide authorization now works as expected in all cases (even when you forget to call super's __init__)   
    13  * Now quickstarted applications are PEP-8 and PEP-257 compliant 
     14 * Now quickstarted applications are PEP-8 and PEP-257 compliant (#2223) 
    1415 * Controller tests in the quickstart were not isolated, and did not have sample data from setup_app 
    1516 * !TestModel in quickstarted applications was be moved to {app}.tests.models (#2249). 
     17 * Repoze.what can now handle non-ascii error messages (#2250) 
     18 * Controller tests are now isolated (#2244) 
     19   
    1620 
    1721=== Backwards Incompatible Changes === 
     
    2125=== Known Issues === 
    2226  
    23  * being rejected from the Catwalk admin controllers caused you to loose your current login credentials.  
     27 * being rejected from the Catwalk admin controllers caused you to loose your current login credentials. (#2262) 
    2428 
    2529== 2.0b6: (**Febuary 25, 2009**) ==